EM_PC(6)

NAME
em_pc - Pascal compiler

SYNOPSIS
~em/lib.bin/em_pc [option] source destination

DESCRIPTION
Em_pc is a compiler that translates Pascal programs into EM code. Normally the compiler is called by means of the user interface program ack(1).

The input is taken from source, while the EM code is written on destination.
Option is a, possibly empty, sequence of the following combinations:

-Mn set maximum identifier length to n. The minimum value for n is 9, because the keyword "PROCEDURE" is that long. n

-n  do not generate EM register messages. The user-declared variables will not be stored into registers on the target machine.

-L  do not generate the EM fil and lin instructions that enable an interpreter to keep track of the current location in the source code.

-Vcm.n, -Vcm.ncm.n ...
    set the size and alignment requirements. The letter c indicates the simple type, which is one of w(word size), i(INTEGER), l(LONG), r(REAL), p(POINTER). It may also be the letter S, indicating that an initial record alignment follows. The m parameter can be used to specify the length of the type (in bytes) and the n parameter for the alignment of that type. Absence of m or n causes a default value to be retained.

-w  suppress warning messages.

-R  disable range checks. Additionally, the run-time tests to see if a function is assigned, are skipped.

-A  enable extra array bound checks, for machines that do not implement the EM ones.

-C  the lower case and upper case letters are treated differently.

-u, -U
    allow underscores in identifiers. It is not allowed to start an identifier with an underscore.

-a  don't generate code for assertions.

-c  allow C-like strings. This option is mainly intended for usage with C-functions. This option will cause the type 'string' to be known.

-d  allow the type 'long'.

-in set the size of integer sets to n. When not used, a default value is retained.

-s  allow only standard Pascal. This disables the -c, -d, -u, -U and -C options. Furthermore, assertions are not recognized at all (instead of just being skipped).

-t  trace calls and exits of procedures and functions.

FILES
~em/lib/em_pc: binary of the Pascal compiler.

DIAGNOSTICS
All warning and error messages are written on standard error output.